<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="main.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="https://fonts.googleapis.com/css2?family=Goldman:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Lobster&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Anton" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet">
    <style>
        html {
            height: 200%;
        }

        body {
            margin: 0px;
            /*height:50%;*/
        }

        .main_header {
            width: 100%;
            padding: 10px 16px;
            box-sizing: border-box;
            background-color: darkslategray;
            position: fixed;
            top: 0px;
            left: 0px;
            z-index: 5;
        }

        .main_header_logo {
            font-family: 'Lobster', cursive;
            text-decoration: none;
            font-size: xx-large;
            color: white;
        }

        .main_nav_item {
            display: inline-block;
            margin: 0px 16px;
        }

        .main_header>div {
            display: inline-block;
        }

        .main_nav {
            display: inline-block;
            width: calc(100% - 70px);
            text-align: right;
        }

        .main_nav_item a {
            text-decoration: none;
            font-family: 'Goldman', cursive;
            font-size: large;
            color: white;
        }

        .main_nav_item a:hover {
            border-bottom: white solid 2px;
        }

        .main_nav_item_cta a {
            background-color: red;
            padding: 10px;
            border: 2px solid white;
            border-radius: 8px;
        }

        .main_nav_item_cta a:hover {
            background-color: white;
            color: red;
        }

        /*glavni sadžaj*/
        .main_content {
            border: solid black 3px;
            width: 90%;
            padding: 5px;
            font-family: 'Goldman', cursive;
            font-size: xx-large;
            margin: 100px auto;
            text-align: center;
        }

        .main_content div {
            font-family: 'Goldman', cursive;
            font-size: large;
            text-align: left;
            border: solid black 2px;
            margin-left: 20px;
            padding: 40px;
            box-sizing: border-box;
            vertical-align: top;
            width: 30%;
        }

        .main_content_1 {
            background-color: salmon;
            display: inline-block;
        }

        .main_content_2 {
            background-color: sandybrown;
            display: inline-block;
        }

        .main_content_3 {
            background-color: seagreen;
            display: inline-block;
            margin-right: 20px;
        }

        #main_content_cta {
            border: 0;
            padding: 0;
            margin: 0px;
            position: relative;
            left: 90%;
            top: 0px;
            width: 100px;

        }
        .hamburger {
            display: none;
        }

        @media (max-width: 1061px) {
            .main_content_1,
            .main_content_2,
            .main_content_3 {
                display: block;
            }
            .main_content div {
                width: 80%;
                margin: 40px auto;
            }
        }

        @media (max-width: 690px) {
            .main_nav {
                display: none;
            }
            .hamburger {
                display: inline-block;
                text-align: right;
                font-size: large;
                color: white;
                width: calc(100% - 70px);
            }
        }
        @media (max-width: 400px) {
            .main_content div {
                font-size: small;
                padding: 10px;
            }
        }
    </style>

</head>

<body>
    <header class="main_header">
        <div>
            <a href="index.html" class="main_header_logo">Logo</a>
        </div>
        <p class="hamburger">
            <i class="fa fa-bars"></i>
        </p> 
        <nav class="main_nav">
            <ul class="main_nav_items">
                <li class="main_nav_item">
                    <a href="stranica1.html">Stranica1</a>
                </li>
                <li class="main_nav_item">
                    <a href="stranica2.html">Stranica2</a>
                </li>
                <li class="main_nav_item">
                    <a href="stranica3.html">Stranica3</a>
                </li>
                <li class="main_nav_item main_nav_item_cta">
                    <a href="stranica4.html">Stranica4</a>
                </li>
            </ul>
        </nav>
    </header>

    <div class="main_content">
        <p>Parent div</p>
        <div class="main_content_1">
            <b>CSS</b> je kratica od (eng.) Cascading Style Sheets. Radi se o stilskom jeziku, koji se koristi za opis
            prezentacije dokumenta napisanog pomoću markup (HTML) jezika.
            Kako se web razvijao, prvotno su u HTML ubacivani elementi za definiciju prezentacije
            (npr. tag <font>), ali je dovoljno brzo uočena potreba za stilskim jezikom koji će HTML
                osloboditi potrebe prikazivanja sadržaja (što je prvenstvena namjena HTML-a)
                i njegovog oblikovanja (čemu danas služi CSS).
                Drugim riječima, stil definira kako prikazati HTML elemente.
                CSS-om se uređuje sam izgled i raspored stranice.
        </div>
        <div class="main_content_2">
            <div class="main_content_cta" id="main_content_cta">CTA</div>
            <b>SELECTOR</b> (engl. selector) označava dio markupa na koji se primjenjuje stil. Selektor može biti:
            <ul>
                <li>
                    svi elementi istog tipa, npr. svi h2 elementi
                </li>
                <li>
                    elementi određenog id ili class atributa:
                </li>
                <li>
                    id: jedinstven element
                </li>
                <li>
                    class: može obuhvaćati više od jednog elementa
                </li>
                <li>
                    elementi u odnosu na druge elemente u DOM-u
                </li>
                <li>
                    Pseudoklase su klase koje omogućuju opisivanje informacija koje nisu dostupne u DOM-u poput :hover
                    koji identificira sadržaj samo ako korisnik drži pokazivač nad sadržajem.
                </li>
            </ul>
        </div>
        <div class="main_content_3">
            <b>DEKLARACIJSKI BLOK</b>
            Deklaracijski blok su vitičaste zagrade unutar kojih se nalaze deklaracije.
            Svaka deklaracija sastoji se od svojstva, dvotočke (:) i vrijednosti.
            Između svake dvije uzastopne deklaracije mora se nalaziti točka zarez (;)
            Vrijednosti mogu biti ključne riječi poput "center" (sredina) i "inherit" (naslijedi),
            brojčane vrijednosti poput 100 (debljina fonta), 200px (200 piksela),
            50vw (50 % širine viewporta) ili 80% (80 % širine prozora).
            Vrijednosti boja mogu biti ključne riječi (npr. "red" za crveno),
            heksadecimalne vrijednosti (npr. #FF0000 ili #F00),
            RGB vrijednosti od 0 do 255 (npr. rgb(255, 0, 0)),
            RGBA vrijednosti koje uključuju i alpha prozirnost (npr. rgba(255, 0, 0, 0.8)) ili
            HSL/HSLA vrijednosti (npr. hsl(000, 100%, 50%), hsla(000, 100%, 50%, 80%)).
        </div>
    </div>
</body>

</html>